MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025023Community[OCCT] OCCT:Modeling Algorithmspublic2014-06-18 18:142017-09-29 16:30
Reporterobirsoy 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version32 bit
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0025023: Check fails after cut operation
DescriptionResult of BRepAlgoAPI_Cut fails BRepAlogAPI_Check::IsValid check.
Steps To ReproduceHere is the draw test harness session (a.brep and b.brep are attached in shapes.zip).

Draw[2]> restore a.brep
a
Draw[3]> restore b.brep
b
Draw[4]> checkshape a
This shape seems to be valid
Draw[5]> checkshape b
This shape seems to be valid
Draw[6]> bopargcheck b a -C
Shape(s) seem(s) to be valid for BOP.

Draw[7]> bcut r b a
Draw[8]> checkshape r
Shape faulty_1 on shape faulty_2 :
BRepCheck_BadOrientationOfSubshape

Faulty shapes in variables faulty_1 to faulty_2

TagsNo tags attached.
Test case numberbugs modalg_7 bug25023
Attached Fileszip file icon shapes.zip (6,692 bytes) 2014-06-18 18:14

- Relationships

-  Notes
(0069034)
git (administrator)
2017-08-01 17:29

Branch CR25023 has been created by apv.

SHA-1: 35664c4199dc6e85826ccb68a652de9c18f615f7


Detailed log of new commits:

Author: apv
Date: Tue Aug 1 17:28:29 2017 +0300

    Test for 0025023: Check fails after cut operation
(0069035)
apv (tester)
2017-08-01 17:31

Dear BugMaster,

Problem described in issue is not reproduced on current state of OCCT.
Problem has been solved in OCCT7.2.0.

Please integrate branch CR25023 into the occt git-repository master.
 
(0069101)
git (administrator)
2017-08-03 18:13

Branch CR25023 has been deleted by mkv.

SHA-1: 35664c4199dc6e85826ccb68a652de9c18f615f7
(0069109)
git (administrator)
2017-08-04 12:04

Branch CR25023 has been created by apv.

SHA-1: 862bda82f39f3250f522a51432f80a1c0f0d34a1


Detailed log of new commits:

Author: apv
Date: Fri Aug 4 12:04:14 2017 +0300

    0025023: Check fails after cut operation
(0069110)
apv (tester)
2017-08-04 12:05

Dear BugMaster,

Problem described in issue is not reproduced on current state of OCCT.
Problem has been solved in OCCT7.2.0.

Please integrate branch CR25023 into the occt git-repository master.
(0069598)
git (administrator)
2017-08-18 17:00

Branch CR25023 has been deleted by kgv.

SHA-1: 862bda82f39f3250f522a51432f80a1c0f0d34a1

- Related Changesets
occt: master b101eb1f
Timestamp: 2017-08-04 09:04:14
Author: apv
Committer: bugmaster
Details ] Diff ]
0025023: Check fails after cut operation
add - tests/bugs/modalg_7/bug25023 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-06-18 18:14 obirsoy New Issue
2014-06-18 18:14 obirsoy Assigned To => ifv
2014-06-18 18:14 obirsoy File Added: shapes.zip
2014-09-12 12:34 abv Target Version => 7.1.0
2016-10-28 11:54 msv Target Version 7.1.0 => 7.2.0
2017-07-21 11:34 msv Target Version 7.2.0 => 7.2.1
2017-08-01 17:29 git Note Added: 0069034
2017-08-01 17:29 apv Assigned To ifv => apv
2017-08-01 17:29 apv Status new => feedback
2017-08-01 17:31 apv Test case number => bugs modalg_7 bug25023
2017-08-01 17:31 apv Note Added: 0069035
2017-08-01 17:31 apv Assigned To apv => bugmaster
2017-08-01 17:31 apv Status feedback => tested
2017-08-01 17:31 apv Fixed in Version => 7.2.0
2017-08-03 18:13 git Note Added: 0069101
2017-08-04 12:04 git Note Added: 0069109
2017-08-04 12:05 apv Note Added: 0069110
2017-08-10 09:56 bugmaster Target Version 7.2.1 => 7.2.0
2017-08-11 07:52 bugmaster Changeset attached => occt master b101eb1f
2017-08-11 07:52 bugmaster Status tested => verified
2017-08-11 07:52 bugmaster Resolution open => fixed
2017-08-18 17:00 git Note Added: 0069598
2017-09-29 16:30 aiv Status verified => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker